<?php
/**
 * mdp.php vérifie si l'accès avec les session est possible
 * 
 * Natier Guillaume, 21.02.2020
 */
session_start();
require_once 'header.php';
$autorise = estAutorise($MON_MDP, true);

if($autorise == 0){
    //On set la case motdepasse du tableau $_SESSION à autorisé
    $_SESSION['acces'] = "autorise";
    echo '<div class="alert alert-success" role="alert"><h1>Session</h1><hr />Vous pouvez accèder aux fonctionnalités du site grâce aux menu "Exercice avec session"</div>';
}
elseif($autorise == 1)
    //On set la case motdepasse du tableau $_SESSION à interdit
    $_SESSION['acces'] = "interdit";

if($autorise != 0){
    ?>
    <form method="post" action="mdpSession.php" name="internet" class="form-inline">
        <div class="form-group mb-2">
            <label for="passtext" class="sr-only">mot de passe</label>
            <input type="text" readonly class="form-control-plaintext" id="passtext" value="Quel est le mot de passe ?">
        </div>
        <div class="form-group mx-sm-3 mb-2">
            <label for="motdepasse" class="sr-only">Password</label>
            <input type="password" class="form-control" id="motdepasse" placeholder="Mot de passe" name="motdepasse">
        </div>
        <button type="submit" class="btn btn-primary mb-2">Valider</button>
    </form>
    <?php
}
require_once 'footer.php'; ?>