<?php
/**
 * mdp.php vérifie si l'accès avec les cookie est possible
 * 
 * Natier Guillaume, 21.02.2020
 */
require_once 'fonctions.php';

$autorise = estAutorise($MON_MDP); //Test du mot de passe posté

if($autorise == 0){
    //On set le cookie sur autorisé
    setcookie("acces", "autorise", time()+$MON_TMP_COOKIE, "/"); // pour 2 minutes.
}
elseif($autorise == 1)
    //On set le cookie sur interdit
    setcookie("acces", "interdit", time()+$MON_TMP_COOKIE, "/"); // pour 2 minutes.

require_once 'header.php';

if($autorise == 0)
    echo '<div class="alert alert-success" role="alert"><h1>Cookie</h1><hr />Vous pouvez accèder aux fonctionnalités du site grâce aux menu "Exercice avec cookie"<br />(pour une période de '.$MON_TMP_COOKIE.' secondes).</div>';

elseif($autorise == 1)
    echo '<div class="alert alert-danger" role="alert"><h1>Cookie</h1><hr />Mauvais mot de passe, réessayez :</div>';

if($autorise != 0){
    ?>
    <form method="post" action="mdp.php" name="internet" class="form-inline">
        <div class="form-group mb-2">
            <label for="passtext" class="sr-only">mot de passe</label>
            <input type="text" readonly class="form-control-plaintext" id="passtext" value="Quel est le mot de passe ?">
        </div>
        <div class="form-group mx-sm-3 mb-2">
            <label for="motdepasse" class="sr-only">Password</label>
            <input type="password" class="form-control" id="motdepasse" placeholder="Mot de passe" name="motdepasse">
        </div>
        <button type="submit" class="btn btn-primary mb-2">Valider</button>
    </form>
    <?php
}

require_once 'footer.php'; ?>